How to search stations by IDs
User story
You want to search for a station using a given station ID.
Request
Search stations through a single GET request. The only required
parameter ids specifies a comma-separated list of station identifiers.
The following request will search for a station given its ID:
GET https://transit.hereapi.com/v8/stations?ids=415712984
Authorization: Bearer {TOKEN}Note
For more information on the currently available authentication methods, see the Identity & Access Management Developer Guide.
Response
The response to the request contains the following information blocks:
- a maximum of 50 station identifiers are allowed in a single query.
- each station element in
stationsresponse object includes the following high-level elements:placewith station/stop information such as name, location, ID, type.transportswith information over the transports serving the station.accessPointswith information about points that are used to access the station/stop.
{
"stations": [
{
"place": {
"name": "Roma Termini",
"type": "station",
"location": {
"lat": 41.90054,
"lng": 12.502168
},
"id": "415712984"
},
"accessPoints": [
{
"location": {
"lat": 52.531679,
"lng": 13.381779
},
"name": "North Entrance",
"type": "accessPoint"
},
{
"location": {
"lat": 52.531678,
"lng": 13.381778
},
"name": "West Entrance",
"type": "accessPoint"
},
{
"location": {
"lat": 52.531672,
"lng": 13.381773
},
"name": "Main Entrance",
"type": "accessPoint"
}
]
}
]
}Updated 14 days ago